#pragma once
#include "Coat.h"
#include "Pants.h"
using namespace std;

class Suit
{
	private:
		int id;
		Coat coat;
		Pants pants;
		double initialTime;
		double endTime;
	public:
	
	void setInitialTime(double time) {
		initialTime = time;
		pants.setInitialTime(time);
	}

	void setEndTime(double time) {
		endTime = time;
	}

	double getInitialTime() {
		return initialTime;
	}

	double getEndTime() {
		return endTime;
	}
		
	int getId()
	{
		return id;
	}

	void setCoat(Coat _coat)
	{
		coat = _coat;
	}

	Coat getCoat()
	{
		return coat;
	}

	void setPants(Pants _pants)
	{
		pants = _pants;
	}

	Pants getPants()
	{
		return pants;
	}

	bool isFlawed()
	{
		if (pants.isFlawed()==false && coat.isFlawed()==false)
			return false;
		else
			return true;
	}


	Suit(int _id)
	{
		id = _id;
	}

	Suit(){ }
};